/********************************************************************
 *                   NASA CONFIDENTIAL INFORMATION                  *
 *                 (c)2003 Nasa Ames Research Center		    *
 *                        All Rights Reserved                       *
 *                                                                  *
 *  This program contains confidential and proprietary information  *
 *  of NASA Ames Research Center, any reproduction, disclosure,     *
 *  or use in whole or in part is expressly prohibited, except as   *
 *  may be specifically authorized by prior written agreement.      *
 *                                                                  *
 ********************************************************************/
package brahms.security;

/**
 * The ActionAuthorizationException conceptual class is used as the 
 * base class for authorization issues related to Brahms actions
 * reported by the Brahms virtual machine to an agent as a result of 
 * declared policies.
 *
 * @author Ron van Hoof
 * @version 1.0 8 May 2003
 */
conceptual_class ActionAuthorizationException extends SecurityException {

	attributes:
		// indicates the action causing the violation
		public symbol violatedAction;
		// indicates the name of the action in which the violation occured,
		// i.e. the name of the activity
		public symbol violatedActionName;

} // ActionAuthorizationException
