/********************************************************************
 *                   NASA CONFIDENTIAL INFORMATION                  *
 *                 (c)2000 Nasa Ames Research Center				        *
 *                        All Rights Reserved                       *
 *                                                                  *
 *  This program contains confidential and proprietary information  *
 *  of NASA Ames Research Center, any reproduction, disclosure,     *
 *  or use in whole or in part is expressly prohibited, except as   *
 *  may be specifically authorized by prior written agreement.      *
 *                                                                  *
 ********************************************************************/
package gov.nasa.arc.brahms.jact;

import gov.nasa.arc.brahms.vm.api.jac.AbstractExternalActivity;
import gov.nasa.arc.brahms.vm.api.exceptions.*;

/**
 * The HelloWorldActivity is an external activity that can be used
 * in Brahms Java Activities. This activity is the simplest form
 * possible and only displays an Hello Agent World message.
 *
 * @author Ron van Hoof
 * @version 14 September 2000
 */
public class HelloWorldActivity extends AbstractExternalActivity {
  /*
   * Constructors
   */
  /**
   * Creates a new HelloWorldActivity, must have an parameter-less
   * constructor for the VM.
   */
  public HelloWorldActivity() {
  } // HelloWorldActivity

  /*
   * Instance Attributes
   */


  /*
   * Instance Methods
   */
  /**
   * Implement the activity
   *
   * @exception ExternalException if an internal error occurs
   */
  public void doActivity() throws ExternalException {
    System.out.println("*************************************************************");
    System.out.println("*       My Brahms Agent is saying: 'Hello Agent World'      *");
    System.out.println("*************************************************************");
  } // doActivity

} // HelloWorldActivity